<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for identityCertification StructType
 * Meta informations extracted from the WSDL
 * - type: tns:identityCertification
 * @subpackage Structs
 * @TestVJ 2
 * @version 1
 */
class IdentityCertification extends AbstractStructBase
{
    /**
     * The nirOD
     * Meta informations extracted from the WSDL
     * - form: qualified
     * - minOccurs: 0
     * @var string
     */
    public $nirOD;
    /**
     * The dateNaissance
     * Meta informations extracted from the WSDL
     * - form: qualified
     * - minOccurs: 0
     * @var string
     */
    public $dateNaissance;
    /**
     * The rangNaissance
     * Meta informations extracted from the WSDL
     * - form: qualified
     * @var int
     */
    public $rangNaissance;
    /**
     * The nirIndividu
     * Meta informations extracted from the WSDL
     * - form: qualified
     * - minOccurs: 0
     * @var string
     */
    public $nirIndividu;
    /**
     * Constructor method for identityCertification
     * @uses IdentityCertification::setNirOD()
     * @uses IdentityCertification::setDateNaissance()
     * @uses IdentityCertification::setRangNaissance()
     * @uses IdentityCertification::setNirIndividu()
     * @param string $nirOD
     * @param string $dateNaissance
     * @param int $rangNaissance
     * @param string $nirIndividu
     */
    public function __construct($nirOD = null, $dateNaissance = null, $rangNaissance = null, $nirIndividu = null)
    {
        $this
            ->setNirOD($nirOD)
            ->setDateNaissance($dateNaissance)
            ->setRangNaissance($rangNaissance)
            ->setNirIndividu($nirIndividu);
    }
    /**
     * Get nirOD value
     * @return string|null
     */
    public function getNirOD()
    {
        return $this->nirOD;
    }
    /**
     * Set nirOD value
     * @param string $nirOD
     * @return \StructType\IdentityCertification
     */
    public function setNirOD($nirOD = null)
    {
        // validation for constraint: string
        if (!is_null($nirOD) && !is_string($nirOD)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nirOD)), __LINE__);
        }
        $this->nirOD = $nirOD;
        return $this;
    }
    /**
     * Get dateNaissance value
     * @return string|null
     */
    public function getDateNaissance()
    {
        return $this->dateNaissance;
    }
    /**
     * Set dateNaissance value
     * @param string $dateNaissance
     * @return \StructType\IdentityCertification
     */
    public function setDateNaissance($dateNaissance = null)
    {
        // validation for constraint: string
        if (!is_null($dateNaissance) && !is_string($dateNaissance)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dateNaissance)), __LINE__);
        }
        $this->dateNaissance = $dateNaissance;
        return $this;
    }
    /**
     * Get rangNaissance value
     * @return int|null
     */
    public function getRangNaissance()
    {
        return $this->rangNaissance;
    }
    /**
     * Set rangNaissance value
     * @param int $rangNaissance
     * @return \StructType\IdentityCertification
     */
    public function setRangNaissance($rangNaissance = null)
    {
        // validation for constraint: int
        if (!is_null($rangNaissance) && !is_numeric($rangNaissance)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($rangNaissance)), __LINE__);
        }
        $this->rangNaissance = $rangNaissance;
        return $this;
    }
    /**
     * Get nirIndividu value
     * @return string|null
     */
    public function getNirIndividu()
    {
        return $this->nirIndividu;
    }
    /**
     * Set nirIndividu value
     * @param string $nirIndividu
     * @return \StructType\IdentityCertification
     */
    public function setNirIndividu($nirIndividu = null)
    {
        // validation for constraint: string
        if (!is_null($nirIndividu) && !is_string($nirIndividu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nirIndividu)), __LINE__);
        }
        $this->nirIndividu = $nirIndividu;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\IdentityCertification
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
