<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PatientCertificationResponse StructType
 * @subpackage Structs
 * @TestVJ 2
 * @version 1
 */
class PatientCertificationResponse extends WebServiceResponse
{
    /**
     * The nirIndividu
     * Meta informations extracted from the WSDL
     * - form: qualified
     * - minOccurs: 0
     * @var string
     */
    public $nirIndividu;
    /**
     * The prenom
     * Meta informations extracted from the WSDL
     * - form: qualified
     * - minOccurs: 0
     * @var string
     */
    public $prenom;
    /**
     * The nomUsuel
     * Meta informations extracted from the WSDL
     * - form: qualified
     * - minOccurs: 0
     * @var string
     */
    public $nomUsuel;
    /**
     * The nomPatronymique
     * Meta informations extracted from the WSDL
     * - form: qualified
     * - minOccurs: 0
     * @var string
     */
    public $nomPatronymique;
    /**
     * The dateNaissance
     * Meta informations extracted from the WSDL
     * - form: qualified
     * - minOccurs: 0
     * @var string
     */
    public $dateNaissance;
    /**
     * Constructor method for PatientCertificationResponse
     * @uses PatientCertificationResponse::setNirIndividu()
     * @uses PatientCertificationResponse::setPrenom()
     * @uses PatientCertificationResponse::setNomUsuel()
     * @uses PatientCertificationResponse::setNomPatronymique()
     * @uses PatientCertificationResponse::setDateNaissance()
     * @param string $nirIndividu
     * @param string $prenom
     * @param string $nomUsuel
     * @param string $nomPatronymique
     * @param string $dateNaissance
     */
    public function __construct($nirIndividu = null, $prenom = null, $nomUsuel = null, $nomPatronymique = null, $dateNaissance = null)
    {
        $this
            ->setNirIndividu($nirIndividu)
            ->setPrenom($prenom)
            ->setNomUsuel($nomUsuel)
            ->setNomPatronymique($nomPatronymique)
            ->setDateNaissance($dateNaissance);
    }
    /**
     * Get nirIndividu value
     * @return string|null
     */
    public function getNirIndividu()
    {
        return $this->nirIndividu;
    }
    /**
     * Set nirIndividu value
     * @param string $nirIndividu
     * @return \StructType\PatientCertificationResponse
     */
    public function setNirIndividu($nirIndividu = null)
    {
        // validation for constraint: string
        if (!is_null($nirIndividu) && !is_string($nirIndividu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nirIndividu)), __LINE__);
        }
        $this->nirIndividu = $nirIndividu;
        return $this;
    }
    /**
     * Get prenom value
     * @return string|null
     */
    public function getPrenom()
    {
        return $this->prenom;
    }
    /**
     * Set prenom value
     * @param string $prenom
     * @return \StructType\PatientCertificationResponse
     */
    public function setPrenom($prenom = null)
    {
        // validation for constraint: string
        if (!is_null($prenom) && !is_string($prenom)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($prenom)), __LINE__);
        }
        $this->prenom = $prenom;
        return $this;
    }
    /**
     * Get nomUsuel value
     * @return string|null
     */
    public function getNomUsuel()
    {
        return $this->nomUsuel;
    }
    /**
     * Set nomUsuel value
     * @param string $nomUsuel
     * @return \StructType\PatientCertificationResponse
     */
    public function setNomUsuel($nomUsuel = null)
    {
        // validation for constraint: string
        if (!is_null($nomUsuel) && !is_string($nomUsuel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nomUsuel)), __LINE__);
        }
        $this->nomUsuel = $nomUsuel;
        return $this;
    }
    /**
     * Get nomPatronymique value
     * @return string|null
     */
    public function getNomPatronymique()
    {
        return $this->nomPatronymique;
    }
    /**
     * Set nomPatronymique value
     * @param string $nomPatronymique
     * @return \StructType\PatientCertificationResponse
     */
    public function setNomPatronymique($nomPatronymique = null)
    {
        // validation for constraint: string
        if (!is_null($nomPatronymique) && !is_string($nomPatronymique)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nomPatronymique)), __LINE__);
        }
        $this->nomPatronymique = $nomPatronymique;
        return $this;
    }
    /**
     * Get dateNaissance value
     * @return string|null
     */
    public function getDateNaissance()
    {
        return $this->dateNaissance;
    }
    /**
     * Set dateNaissance value
     * @param string $dateNaissance
     * @return \StructType\PatientCertificationResponse
     */
    public function setDateNaissance($dateNaissance = null)
    {
        // validation for constraint: string
        if (!is_null($dateNaissance) && !is_string($dateNaissance)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dateNaissance)), __LINE__);
        }
        $this->dateNaissance = $dateNaissance;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PatientCertificationResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
