<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WebServiceResponse StructType
 * @subpackage Structs
 * @TestVJ 2
 * @version 1
 */
class WebServiceResponse extends AbstractStructBase
{
    /**
     * The status
     * Meta informations extracted from the WSDL
     * - form: qualified
     * - minOccurs: 0
     * @var string
     */
    public $status;
    /**
     * The context
     * Meta informations extracted from the WSDL
     * - form: qualified
     * - minOccurs: 0
     * @var string
     */
    public $context;
    /**
     * Constructor method for WebServiceResponse
     * @uses WebServiceResponse::setStatus()
     * @uses WebServiceResponse::setContext()
     * @param string $status
     * @param string $context
     */
    public function __construct($status = null, $context = null)
    {
        $this
            ->setStatus($status)
            ->setContext($context);
    }
    /**
     * Get status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param string $status
     * @return \StructType\WebServiceResponse
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($status)), __LINE__);
        }
        $this->status = $status;
        return $this;
    }
    /**
     * Get context value
     * @return string|null
     */
    public function getContext()
    {
        return $this->context;
    }
    /**
     * Set context value
     * @param string $context
     * @return \StructType\WebServiceResponse
     */
    public function setContext($context = null)
    {
        // validation for constraint: string
        if (!is_null($context) && !is_string($context)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($context)), __LINE__);
        }
        $this->context = $context;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\WebServiceResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
